PyuTest.make_electricity_device("pyutest_electricity:lamp_device", "Lamp Device", {
	cracky = PyuTest.BLOCK_FAST,
}, { "pyutest-lamp.png" }, "pyutest_blocks:light", nil, function(pos, node, sender_pos)
	core.swap_node(pos, { name = "pyutest_electricity:lamp_device_on" })
end)

PyuTest.make_electricity_device("pyutest_electricity:lamp_device_on", "Lamp Device", {
	cracky = PyuTest.BLOCK_FAST,
	not_in_creative_inventory = 1
}, { "pyutest-lamp.png" }, nil, {
	light_source = core.LIGHT_MAX,
	drop = "pyutest_electricity:lamp_device"
}, function(pos, node, sender_pos)
	core.swap_node(pos, { name = "pyutest_electricity:lamp_device" })
end)
